///////////////////////////////////////////////////////////////////////////////
// ControllerForm.h
// ================
//
//  AUTHOR: Song Ho Ahn (song.ahn@gamil.com)
// CREATED: 2023-04-12
// UPDATED: 2023-04-12
///////////////////////////////////////////////////////////////////////////////

#ifndef WIN_CONTROLLER_FORM_H
#define WIN_CONTROLLER_FORM_H

#include "Controller.h"
#include "ViewForm.h"


namespace Win
{
    class ControllerForm : public Controller
    {
    public:
        ControllerForm(ViewForm* view);
        ~ControllerForm() {};

        LRESULT close();                                // for WM_CLOSE
        LRESULT command(int id, int cmd, LPARAM msg);   // for WM_COMMAND
        LRESULT create();                               // for WM_CREATE

    private:
        ViewForm* view;
    };
}

#endif
